define([
    "dojo/_base/declare",
    "./SecData"
], function (declare, SecData) {
    return declare(SecData, {
        doAuth: function (/*challenge*/) {
            return {
                code: SecData.AUTH_SUCCESS
            };
        },
        getAuthState: function () {
            return SecData.AUTH_SUCCESS;
        },
        getAuthType: function () {
            return "none";
        }
    });
});